diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc
--- ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc	2025-03-09 16:55:49.815372700 -0700
@@ -1309,44 +1310,44 @@
     NS_LOG_FUNCTION(
         "Check slopes for 11ax 160MHz @ 5GHz with two first 20 MHz subchannels punctured");
     maskSlopes = {
-        std::make_pair(0, -40.0),       // Outer band left (start)
-        std::make_pair(1023, -28.012),  // Outer band left (stop)
-        std::make_pair(1024, -28.000),  // Middle band left (start)
-        std::make_pair(2041, -20.008),  // Middle band left (stop)
-        std::make_pair(2042, -20.0),    // Flat junction band left (start)
-        std::make_pair(2046, -20.0),    // Flat junction band left (stop)
-        std::make_pair(2047, -20.0),    // punctured band (start)
-        std::make_pair(2552, -20.0),    // punctured band (stop)
-        std::make_pair(2553, -20.0),    // punctured band increasing slope (start)
-        std::make_pair(2557, -6.66667), // punctured band increasing slope (stop)
-        std::make_pair(2558, -20.0),    // first 80 MHz DC band (start)
-        std::make_pair(2562, -20.0),    // first 80 MHz DC band (stop)
-        std::make_pair(2563, 0.0),      // first 80 MHz allocated band right (start)
-        std::make_pair(3060, 0.0),      // first 80 MHz allocated band right (stop)
-        std::make_pair(3061, -20.0),    // gap between 80 MHz bands (start)
-        std::make_pair(3083, -20.0),    // gap between 80 MHz bands (start)
-        std::make_pair(3084, 0.0),      // second 80 MHz allocated band left (start)
-        std::make_pair(3581, 0.0),      // second 80 MHz allocated band left (stop)
-        std::make_pair(3582, -20.0),    // second 80 MHz DC band (start)
-        std::make_pair(3586, -20.0),    // second 80 MHz DC band (stop)
-        std::make_pair(3587, 0.0),      // second 80 MHz allocated band right (start)
-        std::make_pair(4084, 0.0),      // second 80 MHz allocated band right (stop)
-        std::make_pair(4085, -1.538),   // Inner band right (start)
-        std::make_pair(4097, -20.0),    // Inner band right (stop)
-        std::make_pair(4098, -20.0),    // Flat junction band right (start)
-        std::make_pair(4102, -20.0),    // Flat junction band right (stop)
-        std::make_pair(4103, -20.008),  // Middle band right (start)
-        std::make_pair(5120, -28.000),  // Middle band right (stop)
-        std::make_pair(5121, -28.012),  // Outer band right (start)
-        std::make_pair(6144, -40.0),    // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),       // Outer band left (start)
+        std::make_pair(1023, dBr_u{-28.012}),  // Outer band left (stop)
+        std::make_pair(1024, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(2041, dBr_u{-20.008}),  // Middle band left (stop)
+        std::make_pair(2042, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(2046, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(2047, dBr_u{-20.0}),    // punctured band (start)
+        std::make_pair(2552, dBr_u{-20.0}),    // punctured band (stop)
+        std::make_pair(2553, dBr_u{-20.0}),    // punctured band increasing slope (start)
+        std::make_pair(2557, dBr_u{-6.66667}), // punctured band increasing slope (stop)
+        std::make_pair(2558, dBr_u{-20.0}),    // first 80 MHz DC band (start)
+        std::make_pair(2562, dBr_u{-20.0}),    // first 80 MHz DC band (stop)
+        std::make_pair(2563, dBr_u{0.0}),      // first 80 MHz allocated band right (start)
+        std::make_pair(3060, dBr_u{0.0}),      // first 80 MHz allocated band right (stop)
+        std::make_pair(3061, dBr_u{-20.0}),    // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),    // gap between 80 MHz bands (start)
+        std::make_pair(3084, dBr_u{0.0}),      // second 80 MHz allocated band left (start)
+        std::make_pair(3581, dBr_u{0.0}),      // second 80 MHz allocated band left (stop)
+        std::make_pair(3582, dBr_u{-20.0}),    // second 80 MHz DC band (start)
+        std::make_pair(3586, dBr_u{-20.0}),    // second 80 MHz DC band (stop)
+        std::make_pair(3587, dBr_u{0.0}),      // second 80 MHz allocated band right (start)
+        std::make_pair(4084, dBr_u{0.0}),      // second 80 MHz allocated band right (stop)
+        std::make_pair(4085, dBr_u{-1.538}),   // Inner band right (start)
+        std::make_pair(4097, dBr_u{-20.0}),    // Inner band right (stop)
+        std::make_pair(4098, dBr_u{-20.0}),    // Flat junction band right (start)
+        std::make_pair(4102, dBr_u{-20.0}),    // Flat junction band right (stop)
+        std::make_pair(4103, dBr_u{-20.008}),  // Middle band right (start)
+        std::make_pair(5120, dBr_u{-28.000}),  // Middle band right (stop)
+        std::make_pair(5121, dBr_u{-28.012}),  // Outer band right (start)
+        std::make_pair(6144, dBr_u{-40.0}),    // Outer band right (stop)
     };
 
     AddTestCase(
         new WifiOfdmMaskSlopesTestCase("11ax_5GHz 160MHz first subchannels punctured",
                                        WIFI_STANDARD_80211ax,
                                        WIFI_PHY_BAND_5GHZ,
-                                       160,
-                                       {5250},
+                                       MHz_u{160},
+                                       {MHz_u{5250}},
                                        maskSlopes,
                                        tol,
                                        prec,
@@ -1358,46 +1359,46 @@
     NS_LOG_FUNCTION(
         "Check slopes for 11ax 160MHz @ 5GHz with third and fourth 20 MHz subchannels punctured");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(1023, -28.012), // Outer band left (stop)
-        std::make_pair(1024, -28.000), // Middle band left (start)
-        std::make_pair(2041, -20.008), // Middle band left (stop)
-        std::make_pair(2042, -20.0),   // Flat junction band left (start)
-        std::make_pair(2046, -20.0),   // Flat junction band left (stop)
-        std::make_pair(2047, -20.0),   // Inner band left (start)
-        std::make_pair(2059, -1.538),  // Inner band left (stop)
-        std::make_pair(2060, 0.0),     // first 80 MHz allocated band left (start)
-        std::make_pair(2557, 0.0),     // first 80 MHz allocated band left (stop)
-        std::make_pair(2558, -20.0),   // first 80 MHz DC band (start)
-        std::make_pair(2562, -20.0),   // first 80 MHz DC band (stop)
-        std::make_pair(2563, -10.0),   // punctured band decreasing slope (start)
-        std::make_pair(2566, -20.0),   // punctured band decreasing slope (stop)
-        std::make_pair(2567, -20.0),   // punctured band (start)
-        std::make_pair(3060, -20.0),   // punctured band (stop)
-        std::make_pair(3061, -20.0),   // gap between 80 MHz bands (start)
-        std::make_pair(3083, -20.0),   // gap between 80 MHz bands (start)
-        std::make_pair(3084, 0.0),     // second 80 MHz allocated band left (start)
-        std::make_pair(3581, 0.0),     // second 80 MHz allocated band left (stop)
-        std::make_pair(3582, -20.0),   // second 80 MHz DC band (start)
-        std::make_pair(3586, -20.0),   // second 80 MHz DC band (stop)
-        std::make_pair(3587, 0.0),     // second 80 MHz allocated band right (start)
-        std::make_pair(4084, 0.0),     // second 80 MHz allocated band right (stop)
-        std::make_pair(4085, -1.538),  // Inner band right (start)
-        std::make_pair(4097, -20.0),   // Inner band right (stop)
-        std::make_pair(4098, -20.0),   // Flat junction band right (start)
-        std::make_pair(4102, -20.0),   // Flat junction band right (stop)
-        std::make_pair(4103, -20.008), // Middle band right (start)
-        std::make_pair(5120, -28.000), // Middle band right (stop)
-        std::make_pair(5121, -28.012), // Outer band right (start)
-        std::make_pair(6144, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(1023, dBr_u{-28.012}), // Outer band left (stop)
+        std::make_pair(1024, dBr_u{-28.000}), // Middle band left (start)
+        std::make_pair(2041, dBr_u{-20.008}), // Middle band left (stop)
+        std::make_pair(2042, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(2046, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(2047, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(2059, dBr_u{-1.538}),  // Inner band left (stop)
+        std::make_pair(2060, dBr_u{0.0}),     // first 80 MHz allocated band left (start)
+        std::make_pair(2557, dBr_u{0.0}),     // first 80 MHz allocated band left (stop)
+        std::make_pair(2558, dBr_u{-20.0}),   // first 80 MHz DC band (start)
+        std::make_pair(2562, dBr_u{-20.0}),   // first 80 MHz DC band (stop)
+        std::make_pair(2563, dBr_u{-10.0}),   // punctured band decreasing slope (start)
+        std::make_pair(2566, dBr_u{-20.0}),   // punctured band decreasing slope (stop)
+        std::make_pair(2567, dBr_u{-20.0}),   // punctured band (start)
+        std::make_pair(3060, dBr_u{-20.0}),   // punctured band (stop)
+        std::make_pair(3061, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3084, dBr_u{0.0}),     // second 80 MHz allocated band left (start)
+        std::make_pair(3581, dBr_u{0.0}),     // second 80 MHz allocated band left (stop)
+        std::make_pair(3582, dBr_u{-20.0}),   // second 80 MHz DC band (start)
+        std::make_pair(3586, dBr_u{-20.0}),   // second 80 MHz DC band (stop)
+        std::make_pair(3587, dBr_u{0.0}),     // second 80 MHz allocated band right (start)
+        std::make_pair(4084, dBr_u{0.0}),     // second 80 MHz allocated band right (stop)
+        std::make_pair(4085, dBr_u{-1.538}),  // Inner band right (start)
+        std::make_pair(4097, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(4098, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(4102, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(4103, dBr_u{-20.008}), // Middle band right (start)
+        std::make_pair(5120, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(5121, dBr_u{-28.012}), // Outer band right (start)
+        std::make_pair(6144, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(
         new WifiOfdmMaskSlopesTestCase("11ax_5GHz 160MHz third and fourth subchannels punctured",
                                        WIFI_STANDARD_80211ax,
                                        WIFI_PHY_BAND_5GHZ,
-                                       160,
-                                       {5250},
+                                       MHz_u{160},
+                                       {MHz_u{5250}},
                                        maskSlopes,
                                        tol,
                                        prec,
@@ -1409,46 +1410,46 @@
     NS_LOG_FUNCTION(
         "Check slopes for 11ax 160MHz @ 5GHz with fifth and sixth 20 MHz subchannels punctured");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(1023, -28.012), // Outer band left (stop)
-        std::make_pair(1024, -28.000), // Middle band left (start)
-        std::make_pair(2041, -20.008), // Middle band left (stop)
-        std::make_pair(2042, -20.0),   // Flat junction band left (start)
-        std::make_pair(2046, -20.0),   // Flat junction band left (stop)
-        std::make_pair(2047, -20.0),   // Inner band left (start)
-        std::make_pair(2059, -1.538),  // Inner band left (stop)
-        std::make_pair(2060, 0.0),     // first 80 MHz allocated band left (start)
-        std::make_pair(2557, 0.0),     // first 80 MHz allocated band left (stop)
-        std::make_pair(2558, -20.0),   // first 80 MHz DC band (start)
-        std::make_pair(2562, -20.0),   // first 80 MHz DC band (stop)
-        std::make_pair(2563, 0.0),     // first 80 MHz allocated band right (start)
-        std::make_pair(3060, 0.0),     // first 80 MHz allocated band right (stop)
-        std::make_pair(3061, -20.0),   // gap between 80 MHz bands (start)
-        std::make_pair(3083, -20.0),   // gap between 80 MHz bands (start)
-        std::make_pair(3084, -20.0),   // punctured band (start)
-        std::make_pair(3576, -20.0),   // punctured band (stop)
-        std::make_pair(3577, -20.0),   // punctured band increasing slope (start)
-        std::make_pair(3581, -6.667),  // punctured band increasing slope (stop)
-        std::make_pair(3582, -20.0),   // second 80 MHz DC band (start)
-        std::make_pair(3586, -20.0),   // second 80 MHz DC band (stop)
-        std::make_pair(3587, 0.0),     // second 80 MHz allocated band right (start)
-        std::make_pair(4084, 0.0),     // second 80 MHz allocated band right (stop)
-        std::make_pair(4085, -1.538),  // Inner band right (start)
-        std::make_pair(4097, -20.0),   // Inner band right (stop)
-        std::make_pair(4098, -20.0),   // Flat junction band right (start)
-        std::make_pair(4102, -20.0),   // Flat junction band right (stop)
-        std::make_pair(4103, -20.008), // Middle band right (start)
-        std::make_pair(5120, -28.000), // Middle band right (stop)
-        std::make_pair(5121, -28.012), // Outer band right (start)
-        std::make_pair(6144, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(1023, dBr_u{-28.012}), // Outer band left (stop)
+        std::make_pair(1024, dBr_u{-28.000}), // Middle band left (start)
+        std::make_pair(2041, dBr_u{-20.008}), // Middle band left (stop)
+        std::make_pair(2042, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(2046, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(2047, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(2059, dBr_u{-1.538}),  // Inner band left (stop)
+        std::make_pair(2060, dBr_u{0.0}),     // first 80 MHz allocated band left (start)
+        std::make_pair(2557, dBr_u{0.0}),     // first 80 MHz allocated band left (stop)
+        std::make_pair(2558, dBr_u{-20.0}),   // first 80 MHz DC band (start)
+        std::make_pair(2562, dBr_u{-20.0}),   // first 80 MHz DC band (stop)
+        std::make_pair(2563, dBr_u{0.0}),     // first 80 MHz allocated band right (start)
+        std::make_pair(3060, dBr_u{0.0}),     // first 80 MHz allocated band right (stop)
+        std::make_pair(3061, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3084, dBr_u{-20.0}),   // punctured band (start)
+        std::make_pair(3576, dBr_u{-20.0}),   // punctured band (stop)
+        std::make_pair(3577, dBr_u{-20.0}),   // punctured band increasing slope (start)
+        std::make_pair(3581, dBr_u{-6.667}),  // punctured band increasing slope (stop)
+        std::make_pair(3582, dBr_u{-20.0}),   // second 80 MHz DC band (start)
+        std::make_pair(3586, dBr_u{-20.0}),   // second 80 MHz DC band (stop)
+        std::make_pair(3587, dBr_u{0.0}),     // second 80 MHz allocated band right (start)
+        std::make_pair(4084, dBr_u{0.0}),     // second 80 MHz allocated band right (stop)
+        std::make_pair(4085, dBr_u{-1.538}),  // Inner band right (start)
+        std::make_pair(4097, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(4098, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(4102, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(4103, dBr_u{-20.008}), // Middle band right (start)
+        std::make_pair(5120, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(5121, dBr_u{-28.012}), // Outer band right (start)
+        std::make_pair(6144, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(
         new WifiOfdmMaskSlopesTestCase("11ax_5GHz 160MHz fifth and sixth subchannels punctured",
                                        WIFI_STANDARD_80211ax,
                                        WIFI_PHY_BAND_5GHZ,
-                                       160,
-                                       {5250},
+                                       MHz_u{160},
+                                       {MHz_u{5250}},
                                        maskSlopes,
                                        tol,
                                        prec,
@@ -1460,44 +1461,44 @@
     NS_LOG_FUNCTION(
         "Check slopes for 11ax 160MHz @ 5GHz with two last 20 MHz subchannels punctured");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(1023, -28.012), // Outer band left (stop)
-        std::make_pair(1024, -28.000), // Middle band left (start)
-        std::make_pair(2041, -20.008), // Middle band left (stop)
-        std::make_pair(2042, -20.0),   // Flat junction band left (start)
-        std::make_pair(2046, -20.0),   // Flat junction band left (stop)
-        std::make_pair(2047, -20.0),   // Inner band left (start)
-        std::make_pair(2059, -1.538),  // Inner band left (stop)
-        std::make_pair(2060, 0.0),     // first 80 MHz allocated band left (start)
-        std::make_pair(2557, 0.0),     // first 80 MHz allocated band left (stop)
-        std::make_pair(2558, -20.0),   // first 80 MHz DC band (start)
-        std::make_pair(2562, -20.0),   // first 80 MHz DC band (stop)
-        std::make_pair(2563, 0.0),     // first 80 MHz allocated band right (start)
-        std::make_pair(3060, 0.0),     // first 80 MHz allocated band right (stop)
-        std::make_pair(3061, -20.0),   // gap between 80 MHz bands (start)
-        std::make_pair(3083, -20.0),   // gap between 80 MHz bands (start)
-        std::make_pair(3084, 0.0),     // second 80 MHz allocated band left (start)
-        std::make_pair(3581, 0.0),     // second 80 MHz allocated band left (stop)
-        std::make_pair(3582, -20.0),   // second 80 MHz DC band (start)
-        std::make_pair(3586, -20.0),   // second 80 MHz DC band (stop)
-        std::make_pair(3587, -10.0),   // punctured band decreasing slope (start)
-        std::make_pair(3590, -20.0),   // punctured band decreasing slope (stop)
-        std::make_pair(3591, -20.0),   // punctured band (start)
-        std::make_pair(4097, -20.0),   // punctured band (stop)
-        std::make_pair(4098, -20.0),   // Flat junction band right (start)
-        std::make_pair(4102, -20.0),   // Flat junction band right (stop)
-        std::make_pair(4103, -20.008), // Middle band right (start)
-        std::make_pair(5120, -28.000), // Middle band right (stop)
-        std::make_pair(5121, -28.012), // Outer band right (start)
-        std::make_pair(6144, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(1023, dBr_u{-28.012}), // Outer band left (stop)
+        std::make_pair(1024, dBr_u{-28.000}), // Middle band left (start)
+        std::make_pair(2041, dBr_u{-20.008}), // Middle band left (stop)
+        std::make_pair(2042, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(2046, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(2047, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(2059, dBr_u{-1.538}),  // Inner band left (stop)
+        std::make_pair(2060, dBr_u{0.0}),     // first 80 MHz allocated band left (start)
+        std::make_pair(2557, dBr_u{0.0}),     // first 80 MHz allocated band left (stop)
+        std::make_pair(2558, dBr_u{-20.0}),   // first 80 MHz DC band (start)
+        std::make_pair(2562, dBr_u{-20.0}),   // first 80 MHz DC band (stop)
+        std::make_pair(2563, dBr_u{0.0}),     // first 80 MHz allocated band right (start)
+        std::make_pair(3060, dBr_u{0.0}),     // first 80 MHz allocated band right (stop)
+        std::make_pair(3061, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3084, dBr_u{0.0}),     // second 80 MHz allocated band left (start)
+        std::make_pair(3581, dBr_u{0.0}),     // second 80 MHz allocated band left (stop)
+        std::make_pair(3582, dBr_u{-20.0}),   // second 80 MHz DC band (start)
+        std::make_pair(3586, dBr_u{-20.0}),   // second 80 MHz DC band (stop)
+        std::make_pair(3587, dBr_u{-10.0}),   // punctured band decreasing slope (start)
+        std::make_pair(3590, dBr_u{-20.0}),   // punctured band decreasing slope (stop)
+        std::make_pair(3591, dBr_u{-20.0}),   // punctured band (start)
+        std::make_pair(4097, dBr_u{-20.0}),   // punctured band (stop)
+        std::make_pair(4098, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(4102, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(4103, dBr_u{-20.008}), // Middle band right (start)
+        std::make_pair(5120, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(5121, dBr_u{-28.012}), // Outer band right (start)
+        std::make_pair(6144, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(
         new WifiOfdmMaskSlopesTestCase("11ax_5GHz 160MHz last subchannels punctured",
                                        WIFI_STANDARD_80211ax,
                                        WIFI_PHY_BAND_5GHZ,
-                                       160,
-                                       {5250},
+                                       MHz_u{160},
+                                       {MHz_u{5250}},
                                        maskSlopes,
                                        tol,
                                        prec,
